Subject: Re: bug#20610: 25.0.50; Gnus fancy mail splitting not working anymore

From: Sebastien Vauban <[email-masked]>
Date: Fri, 24 Jul 2015 16:49:13 +0200

solved
close

Sebastien Vauban <[email-masked]> writes:
> Sebastien Vauban <[email-masked]> writes:
>> Sebastien Vauban <[email-masked]> writes:
>>> Katsumi Yamaoka <[email-masked]> writes:
>>>> On Tue, 19 May 2015 14:39:29 -0400, Stefan Monnier wrote:
>>>>> I think we need some help from the Gnus guys here,
>>>>
>>>> (featurep 'bbdb-gnus) ;; Type `C-j' at the end of the form.
>>>
>>> It _is_ loaded; it returns `t'.  [...]  Both versions of Emacs read my
>>> `~/.gnus' file and load the `bbdb-gnus' library found at
>>> `~/.emacs.d/elpa/bbdb-20140830.2031/bbdb-gnus.elc'.
>>
>> I'm progressing -- a bit.  I just found out that [...] in Emacs 25.0,
>> _after having started Gnus_, when I type `C-h v nnimap-split-methods',
>> I get `nil'!!!  And similarly for `nnimap-split-fancy'... So, these
>> variables gets reinitialized after my code is run...  How?  Why?
>
> As I still need to read my mails within Emacs 25.0, and as the fancy
> mail splitting still does not work for me there (while it does, with
> the same config file, within Emacs 24.5), I have done more tests [...]
>
>   ;; Configure incoming mail.
>   (setq gnus-select-method
>         '(nnimap "mail"
>                  (nnimap-address "mail")
>                  (nnimap-server-port 993)
>                  (nnimap-stream ssl)))

Putting *both* `nnimap-inbox' and `nnimap-split-methods' in the
definition of the IMAP select method is *necessary* for fancy splitting
to work under Emacs 25.

Working example:

--8<---------------cut here---------------start------------->8---
    ;; Configure incoming mail.
    (setq gnus-select-method
          '(nnimap "mail"
                   (nnimap-address "mail")
                   (nnimap-server-port 993)
                   (nnimap-stream ssl)
                   (nnimap-inbox "INBOX")
                   (nnimap-split-methods nnmail-split-fancy)))
--8<---------------cut here---------------end--------------->8---

Best regards,
  Seb